Bug 185141 - [WinCairo] Enable WebKit build by default
Summary: [WinCairo] Enable WebKit build by default
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Fujii Hironori
URL:
Keywords: InRadar
Depends on:
Blocks: 174003
  Show dependency treegraph
 
Reported: 2018-04-30 12:55 PDT by Basuke Suzuki
Modified: 2018-05-21 17:05 PDT (History)
9 users (show)

See Also:


Attachments
Patch (3.48 KB, patch)
2018-05-18 01:04 PDT, Fujii Hironori
ews-watchlist: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews204 for win-future (12.74 MB, application/zip)
2018-05-18 08:30 PDT, EWS Watchlist
no flags Details
Patch (3.49 KB, patch)
2018-05-18 12:51 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Patch (5.31 KB, patch)
2018-05-20 21:25 PDT, Fujii Hironori
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-04-30 12:55:12 PDT
WinCairo is ready to step forward.
Comment 1 Fujii Hironori 2018-05-18 01:04:00 PDT
Created attachment 340685 [details]
Patch
Comment 2 EWS Watchlist 2018-05-18 08:30:35 PDT
Comment on attachment 340685 [details]
Patch

Attachment 340685 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7722067

New failing tests:
http/tests/preload/onload_event.html
Comment 3 EWS Watchlist 2018-05-18 08:30:46 PDT
Created attachment 340698 [details]
Archive of layout-test-results from ews204 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews204  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 4 Alex Christensen 2018-05-18 10:04:03 PDT
Comment on attachment 340685 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=340685&action=review

> Source/cmake/OptionsWin.cmake:86
> -    if (ENABLE_WIN_CAIRO_WEBKIT)
> -        WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_NETSCAPE_PLUGIN_API PRIVATE OFF)
> -    endif ()
> +    WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_NETSCAPE_PLUGIN_API PRIVATE OFF)

Is there a reason we want to change this for the AppleWin port?
Comment 5 Don Olmstead 2018-05-18 11:50:41 PDT
(In reply to Alex Christensen from comment #4)
> Comment on attachment 340685 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=340685&action=review
> 
> > Source/cmake/OptionsWin.cmake:86
> > -    if (ENABLE_WIN_CAIRO_WEBKIT)
> > -        WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_NETSCAPE_PLUGIN_API PRIVATE OFF)
> > -    endif ()
> > +    WEBKIT_OPTION_DEFAULT_PORT_VALUE(ENABLE_NETSCAPE_PLUGIN_API PRIVATE OFF)
> 
> Is there a reason we want to change this for the AppleWin port?

Its in an if block so it would only affect WinCairo
Comment 6 Don Olmstead 2018-05-18 12:51:15 PDT
Created attachment 340730 [details]
Patch

Use PLATFORM(WIN_CAIRO) instead of USE(CAIRO) to be more specific.
Comment 7 Don Olmstead 2018-05-18 12:54:00 PDT
Comment on attachment 340730 [details]
Patch

Built locally. Think this is good to go now
Comment 8 Don Olmstead 2018-05-18 13:06:16 PDT
Ok so the EWS seems to be failing due to dependencies. This is actually a larger issue with copying headers for building in Tools. Since config.h is shared its going to expect that the file copy happens before it gets there even with TestWTF.

I'll open a separate bug for this particular issue or zero in on one that's already present that causes this.

If this lands and the buildbots go red a clean build should sort it out.
Comment 9 Fujii Hironori 2018-05-20 21:25:33 PDT
Created attachment 340819 [details]
Patch

* Fix dependency issue of WebKitTestAPI
Comment 10 Per Arne Vollan 2018-05-21 16:30:23 PDT
Comment on attachment 340819 [details]
Patch

R=me.
Comment 11 WebKit Commit Bot 2018-05-21 17:03:25 PDT
Comment on attachment 340819 [details]
Patch

Clearing flags on attachment: 340819

Committed r232038: <https://trac.webkit.org/changeset/232038>
Comment 12 WebKit Commit Bot 2018-05-21 17:03:27 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Radar WebKit Bug Importer 2018-05-21 17:05:09 PDT
<rdar://problem/40435722>